Internal-class {AffyCompatible} | R Documentation

## (Internal) Represent 'typed associations' from XML documents

### Description

This internal class represents `typed associates' (vectors of identically-typed objects) that appear as vectors to the R user.

### Objects from the Class

Objects are created internally, during XML document parsing.

### Slots

`.Data`:
  Object of class `"list"` containg the association objects
`.extends`:
  Object of class `"character"` and length 1 describing the class each element in `.Data` must extend

### Extends

Class `"list"`, from data part. Class `"vector"`, by class "list", distance 2.

### Methods

[
  `signature(x = ".TypedAssociation", i = "numeric", j = "missing")`: Subset the typed association, returning a typed association with elements i.
[
  `signature(x = ".TypedAssociation", i = "ANY", j = "ANY")`: This method is present to stop access to subsetting methods for class `list`; it has no user-visibile functionality.
show
  `signature(object = ".TypedAssociation")`: Compactly display the typed associate, e.g., for `.extneds=Foo` and length 5, display `Foo(5)`.

### Author(s)

Martin Morgan

[Package AffyCompatible version 1.4.0 Index]